﻿Broodje_Settings = {
	MinimapPos = 45,
	LoadOnStart = 1,
	LoadMinimapButton = 1,
	Layout = 1,
	SliderOpacity = 1,
	ShowTab1 = 1,
	ShowTab2 = 1,
	ShowTab3 = 1,
}
_, StrudelLocal = ...;
	
function Broodje_MinimapButton_Click_Unsecure(self,button)
if button == "LeftButton" then
	if StrudelMainFrame:IsVisible() == 1 then
	StrudelMainFrame:Hide();
	else
	PanelTemplates_SetTab(StrudelMainFrame, 1);
	StrudelMainFrame:Show();
	Frame1:Show();
	FramePortal:Hide();
	FrameTeleport:Hide();
    end
else
ToggleDropDownMenu(1, nil, RightClickDropDownMenu, Broodje_MinimapButton, 0, 0);

end
end
function Broodje_MinimapButton_Load()
Broodje_MinimapButton:SetAttribute("_onclick", [=[
 local ref = self:GetFrameRef("frame1");
 if ref:IsVisible() then
 ref:Hide();
 else
 ref:Show();
 end
]=]); 
Broodje_MinimapButton:RegisterForClicks("AnyUp");
Broodje_MinimapButton:SetFrameRef("frame1", StrudelMainFrame);
end
function Broodje_MinimapButton_Reposition()
	Broodje_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(Broodje_Settings.MinimapPos)),(80*sin(Broodje_Settings.MinimapPos))-52)
end

-- Only while the button is dragged this is called every frame
function Broodje_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	Broodje_Settings.MinimapPos = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	Broodje_MinimapButton_Reposition() -- move the button
end

-- Put your code that you want on a minimap button click here.  arg1="LeftButton", "RightButton", etc


function StrudelStore_LocaleLoad()
DEFAULT_CHAT_FRAME:AddMessage("|cFF99CCFF [StrudelStore] |r" .. StrudelLocal["WelcomeMessage"]);
StrudelMainFrameTab1:SetText(StrudelLocal["ConjureTabButton"]);
StrudelMainFrameTab2:SetText(StrudelLocal["PortalTabButton"]);
StrudelMainFrameTab3:SetText(StrudelLocal["TeleportTabButton"]);
conjure_title:SetText(StrudelLocal["ConjureFrameTitle"]);
Basistekst:SetText(StrudelLocal["ConjureFrameSubTitle"]);
teleport_title:SetText(StrudelLocal["TeleportFrameTitle"]);
portal_title:SetText(StrudelLocal["PortalFrameTitle"]);
Optietitel:SetText(StrudelLocal["OptionFrameTitle"]);

Frame1ButtonTableBuff:SetText(StrudelLocal["TableButton"]);
Frame1ButtonRefreshBuff:SetText(StrudelLocal["RefreshButton"]);
Frame1ButtonManaGemBuff:SetText(StrudelLocal["ManagemButton"]);

StrudelMainFrameButtonOptions:SetText(StrudelLocal["SettingsButton"]);
StrudelMainFrameCloseButton:SetText(StrudelLocal["CloseButton"]);

LayoutLabel:SetText(StrudelLocal["LayoutLabel"]);
ResetposButton:SetText(StrudelLocal["ResetPosition"]);
getglobal(LayoutSettingSlider:GetName() .. 'Text'):SetText(StrudelLocal["Opacity"]);
getglobal(StrudelStoreOptionFrameCheckButton:GetName() .. "Text"):SetText(StrudelLocal["ShowOnLogon"]);
getglobal(StrudelStoreOptionFrameMinimapCheckButton:GetName() .. "Text"):SetText(StrudelLocal["ShowMinimap"]);
getglobal(StrudelStoreOptionFrameTab2CheckButton:GetName() .. "Text"):SetText(StrudelLocal["ShowPortalTab"]);
getglobal(StrudelStoreOptionFrameTab3CheckButton:GetName() .. "Text"):SetText(StrudelLocal["ShowTeleportTab"]);
StrudelTitleString:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE, MONOCHROME");
end


function Broodje_StartupCheck()
if Broodje_Settings.LoadOnStart == 1 then 
StrudelStoreOptionFrameCheckButton:SetChecked(true);
StrudelMainFrame:Show();
elseif Broodje_Settings.LoadOnStart == 0 then
StrudelStoreOptionFrameCheckButton:SetChecked(false);
StrudelMainFrame:Hide();
end
if Broodje_Settings.LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
Broodje_MinimapButton:Show();
elseif Broodje_Settings.LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
Broodje_MinimapButton:Hide();
end
LayoutSettingSlider:SetValue(Broodje_Settings.SliderOpacity);
StrudelMainFrame:SetAlpha(Broodje_Settings.SliderOpacity);
end

function MinimapCheckHiddenButton()
if Broodje_Settings.LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
Broodje_MinimapButton:Show();
elseif Broodje_Settings.LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
Broodje_MinimapButton:Hide();
end
end

function Broodje_StartupCheck2()
if Broodje_Settings.LoadOnStart == 1 then 
StrudelStoreOptionFrameCheckButton:SetChecked(true);
elseif Broodje_Settings.LoadOnStart == 0 then
StrudelStoreOptionFrameCheckButton:SetChecked(false);
end
if Broodje_Settings.LoadMinimapButton == 1 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(true);
elseif Broodje_Settings.LoadMinimapButton == 0 then
StrudelStoreOptionFrameMinimapCheckButton:SetChecked(false);
end
end

function Broodje_GetStartupSetting()
if StrudelStoreOptionFrameCheckButton:GetChecked() then
Broodje_Settings.LoadOnStart = 1;
else
Broodje_Settings.LoadOnStart = 0;
end
if StrudelStoreOptionFrameMinimapCheckButton:GetChecked() then
Broodje_Settings.LoadMinimapButton = 1;
else
Broodje_Settings.LoadMinimapButton = 0;
end
end

function Broodje_OptionsOk()
Broodje_GetStartupSetting(); 
MinimapCheckHiddenButton(); 
Check_TabFrame();
end

function Broodje_CancelSettings()
Broodje_StartupCheck2();
end

function Broodje_SetDefaults()
StrudelStoreOptionFrameCheckButton:SetChecked(true); 
Broodje_Settings.LoadOnStart = 1;
Broodje_Settings.LoadMinimapButton = 1;
Broodje_Settings.Layout = 1;
Broodje_Settings.SliderOpacity = 1;
Broodje_Settings.ShowTab1 = 1
Broodje_Settings.ShowTab2 = 1
Broodje_Settings.ShowTab3 = 1
end
function StrudelRankLoading()
		setFoodRank(FoodRank);
	    setDrinkRank(DrinkRank);
		setRefreshRank(RefreshRank);
end
function OpenStrudelOptionPanel()
		InterfaceOptionsFrame_OpenToCategory("StrudelStore " .. GetAddOnMetadata("StrudelStore", "Version"));
		StrudelMainFrame:Hide();
end
SLASH_STRUDELSTORE1, SLASH_STRUDELSTORE2 = '/strudelstore', '/strudel';
function SlashCmdList.STRUDELSTORE(msg, editbox)
 if msg == 'show' then
  StrudelMainFrame:Show();
  Frame1:Show();
  PanelTemplates_SetTab(StrudelMainFrame, 1);
  FramePortal:Hide();
  FrameTeleport:Hide();
 elseif msg == 'hide' then
StrudelMainFrame:Hide();
 elseif msg == 'settings' or msg == 'options' then
 OpenStrudelOptionPanel();
 else
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage1"]);
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage2"]);
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage3"]);
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage4"]);
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage5"]);
 DEFAULT_CHAT_FRAME:AddMessage(StrudelLocal["SlashCommandMessage6"]);
 end

end
function ChangeStrudelLayout(layout)
if layout == 1 then 
StrudelMainFrame:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background", 
                                            edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", 
                                            tile = true, tileSize = 16, edgeSize = 32, 
                                            insets = { left = 4, right = 4, top = 4, bottom = 4 }});
StrudelFrameHeader:Show();
StrudelTitleString:SetPoint("TOP", 0, -1);
StrudelTitleString:SetFont("Fonts\\FRIZQT__.TTF", 14, "OUTLINE, MONOCHROME");
elseif layout == 2 then
StrudelMainFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
                                            edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                                            tile = true, tileSize = 16, edgeSize = 16, 
                                            insets = { left = 4, right = 4, top = 4, bottom = 4 }});
StrudelFrameHeader:Hide();
StrudelTitleString:SetPoint("TOP", 0, -5);
StrudelTitleString:SetFont("Fonts\\FRIZQT__.TTF", 11, "OUTLINE, MONOCHROME");

elseif layout == 3 then
StrudelMainFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
                                            edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                                            tile = true, tileSize = 16, edgeSize = 16, 
                                            insets = { left = 4, right = 4, top = 4, bottom = 4 }});
conjure_title:Hide();
Basistekst:Hide();
portal_title:Hide();
teleport_title:Hide();
portalcast1:SetText(StrudelLocal["StormwindCompactButton"]);
StrudelMainFrame:SetWidth(300);
StrudelMainFrame:SetHeight(90);
elseif layout == 3 then
StrudelMainFrame:SetBackdrop({bgFile = "Interface\\AddOns\\StrudelStore\\image\\parchment", 
                                            edgeFile = "Interface/DialogFrame/UI-DialogBox-Border"});
end
end
function StrudelCheckedTabs()
if Broodje_Settings.ShowTab2 == 0 then
StrudelStoreOptionFrameTab2CheckButton:SetChecked(false);
end
if Broodje_Settings.ShowTab3 == 0 then
StrudelStoreOptionFrameTab3CheckButton:SetChecked(false);
end
end


function Check_TabFrame()
isChecked = StrudelStoreOptionFrameTab2CheckButton:GetChecked()
isChecked2 = StrudelStoreOptionFrameTab3CheckButton:GetChecked()

if isChecked == 1 then
Broodje_Settings.ShowTab2 = 1;
StrudelMainFrameTab2:Show();
end
if isChecked == nil then
StrudelMainFrameTab2:Hide();
Broodje_Settings.ShowTab2 = 0;
end
if isChecked2 == 1 then
StrudelMainFrameTab3:Show();
Broodje_Settings.ShowTab3 = 1;
end
if isChecked2 == nil then
StrudelMainFrameTab3:Hide();
Broodje_Settings.ShowTab3 = 0;
end
end
function CreateCombatClose()
local frame = CreateFrame("BUTTON", "$parentCloseButton", StrudelMainFrame, "OptionsButtonTemplate,SecureHandlerClickTemplate");
frame:SetPoint("CENTER",StrudelMainFrame,"BOTTOMRIGHT",-52,26);
frame:SetWidth(80);
frame:SetHeight(22);
frame:SetAttribute("_onclick", [=[
 local show, i, ref = button == "LeftButton", 1, self:GetFrameRef("frame1");
 while ref do
  ref:Hide();
  i, ref = i + 1, self:GetFrameRef("frame" .. i);
 end
]=]); 
frame:RegisterForClicks("AnyUp");
frame:SetFrameRef("frame1", StrudelMainFrame);
frame:SetText("Close");
end
